## yamllint 1.26.3

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/yamllint.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/yamllint.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/yamllint"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/yamllint"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

## yamllint 1.2.1

=== debian/changelog ===
yamllint (1.2.1-1) unstable; urgency=medium

  * Update to new upstream version

 -- Adrien Vergé <adrienverge@gmail.com>  Sun, 03 Apr 2016 11:30:02 +0200

yamllint (1.2.0-1) unstable; urgency=medium

  * Update to new upstream version
  * Build and include man page in package
  * Fix Vcs-* fields in debian/control
  * Fix description-synopsis-starts-with-article lintian warning

 -- Adrien Vergé <adrienverge@gmail.com>  Tue, 08 Mar 2016 08:20:23 +0100

yamllint (1.1.0-1) unstable; urgency=medium

  * Update to new upstream version

 -- Adrien Vergé <adrienverge@gmail.com>  Fri, 04 Mar 2016 18:54:19 +0100

yamllint (1.0.4-1) unstable; urgency=medium

  * Update to new upstream version

 -- Adrien Vergé <adrienverge@gmail.com>  Fri, 04 Mar 2016 12:54:19 +0100

yamllint (1.0.3-1) unstable; urgency=medium

  * Initial release (Closes: #816609)

 -- Adrien Vergé <adrienverge@gmail.com>  Thu, 03 Mar 2016 09:10:38 +0100

=== debian/control ===
Source: yamllint
Section: devel
Priority: optional
Maintainer: Adrien Vergé <adrienverge@gmail.com>
Build-Depends:
 debhelper (>=9),
 python3-all,
 python3-nose,
 python3-setuptools,
 python3-sphinx,
 python3-yaml,
Standards-Version: 3.9.7
Homepage: https://github.com/adrienverge/yamllint
Vcs-Git: https://github.com/adrienverge/yamllint.git -b packaging
Vcs-Browser: https://github.com/adrienverge/yamllint/tree/packaging

Package: yamllint
Architecture: any
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: Linter for YAML files
 yamllint does not only check for syntax validity, but for weirdnesses like key
 repetition and cosmetic problems such as lines length, trailing spaces,
 indentation, etc.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bman docs build/man

override_dh_installman:
	dh_installman build/man/yamllint.1

## yamllint 1.3.2

=== debian/changelog ===
yamllint (1.3.2-1) unstable; urgency=medium

  * Allow disabling yamllint checks using comments
  * Detect user config using `os.path.expanduser()`
  * Fix non-ASCII comments bug and add tests
  * Update standards version to 3.9.8

 -- Adrien Vergé <adrienverge@gmail.com>  Mon, 27 Jun 2016 22:17:05 +0200

yamllint (1.2.2-1) unstable; urgency=medium

  * Update to new upstream version

 -- Adrien Vergé <adrienverge@gmail.com>  Fri, 24 Jun 2016 08:54:59 +0200

## yamllint 1.5.0

=== debian/changelog ===
yamllint (1.5.0-1) unstable; urgency=medium

  * Output color only on TTY
  * Generalize line-length for mappings
  * Fix line-length bug by scanning tokens securely
  * New rule: truthy
  * Fix distribution (don't distribute tests in site-packages)
  * Exclude PTY-related test (doesn't work with pbuilder)

 -- Adrien Vergé <adrienverge@gmail.com>  Mon, 07 Nov 2016 18:51:37 +0100

=== debian/control ===
--- 
+++ 
@@ -9,13 +9,13 @@
  python3-setuptools,
  python3-sphinx,
  python3-yaml,
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: https://github.com/adrienverge/yamllint
 Vcs-Git: https://github.com/adrienverge/yamllint.git -b packaging
 Vcs-Browser: https://github.com/adrienverge/yamllint/tree/packaging
 
 Package: yamllint
-Architecture: any
+Architecture: all
 Depends:
  ${misc:Depends},
  ${python3:Depends},

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,8 @@
 #!/usr/bin/make -f
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	NOSE_EXCLUDE=test_run_colored_output \
+	  dh $@ --with python3 --buildsystem=pybuild
 
 override_dh_auto_build:
 	dh_auto_build

## yamllint 1.10.0

=== debian/changelog ===
yamllint (1.10.0-1) unstable; urgency=medium

  * New upstream version 1.10.0
  * Drop patches (fixed upstream)

 -- Philipp Huebner <debalance@debian.org>  Thu, 16 Nov 2017 19:18:18 +0100

yamllint (1.9.0-1) unstable; urgency=medium

  * New upstream version 1.9.0

 -- Philipp Huebner <debalance@debian.org>  Sun, 22 Oct 2017 09:35:39 +0200

yamllint (1.8.1-1) unstable; urgency=medium

  * New upstream version 1.8.1
  * Add myself as Uploader
  * Depend on python3-pkg-resources (Closes: #860075)
  * Build-Depend on python3-pathspec
  * Add patch to use python3 in tests
  * debian/control: set testsuite to autopkgtest-pkg-python
  * Update Standards-Version: 4.1.1 (no changes needed)

 -- Philipp Huebner <debalance@debian.org>  Wed, 04 Oct 2017 18:50:29 +0200

=== debian/control ===
Source: yamllint
Section: devel
Priority: optional
Maintainer: Adrien Vergé <adrienverge@gmail.com>
Uploaders: Philipp Huebner <debalance@debian.org>
Build-Depends:
 debhelper (>=9),
 python3-all,
 python3-nose,
 python3-pathspec,
 python3-setuptools,
 python3-sphinx,
 python3-yaml,
Standards-Version: 4.1.1
Homepage: https://github.com/adrienverge/yamllint
Vcs-Git: https://github.com/adrienverge/yamllint.git -b packaging
Vcs-Browser: https://github.com/adrienverge/yamllint/tree/packaging

Package: yamllint
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
 python3-pkg-resources
Description: Linter for YAML files
 yamllint does not only check for syntax validity, but for weirdnesses like key
 repetition and cosmetic problems such as lines length, trailing spaces,
 indentation, etc.

## yamllint 1.11.1

=== debian/changelog ===
yamllint (1.11.1-1) unstable; urgency=medium

  * New upstream version 1.11.1
  * Updated Standards-Version: 4.1.4 (no changes needed)

 -- Philipp Huebner <debalance@debian.org>  Wed, 09 May 2018 14:24:10 +0200

yamllint (1.11.0-1) unstable; urgency=medium

  * New upstream version 1.11.0
  * Update Standards-Version: 4.1.3 (no changes needed)
  * Switch to debhelper compat level 11

 -- Philipp Huebner <debalance@debian.org>  Tue, 06 Mar 2018 17:35:44 +0100

=== debian/control ===
Source: yamllint
Maintainer: Adrien Vergé <adrienverge@gmail.com>
Uploaders: Philipp Huebner <debalance@debian.org>
Section: devel
Priority: optional
Build-Depends: debhelper (>=11~),
               python3-all,
               python3-nose,
               python3-pathspec,
               python3-setuptools,
               python3-sphinx,
               python3-yaml
Standards-Version: 4.1.4
Vcs-Browser: https://github.com/adrienverge/yamllint/tree/packaging
Vcs-Git: https://github.com/adrienverge/yamllint.git -b packaging
Homepage: https://github.com/adrienverge/yamllint

Package: yamllint
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
         python3-pkg-resources
Description: Linter for YAML files
 yamllint does not only check for syntax validity, but for weirdnesses like key
 repetition and cosmetic problems such as lines length, trailing spaces,
 indentation, etc.

## yamllint 1.14.0

=== debian/changelog ===
yamllint (1.14.0-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Philipp Huebner <debalance@debian.org>  Fri, 25 Jan 2019 07:57:59 +0100

yamllint (1.14.0-1) unstable; urgency=medium

  * New upstream version 1.14.0
  * Updated Standards-Version: 4.3.0 (no changes needed)
  * Updated debian/copyright

 -- Philipp Huebner <debalance@debian.org>  Sat, 19 Jan 2019 16:07:26 +0100

yamllint (1.13.0-1) unstable; urgency=medium

  * New upstream version 1.13.0
  * Updated Standards-Version: 4.2.1 (no changes needed)

 -- Philipp Huebner <debalance@debian.org>  Sun, 18 Nov 2018 19:16:27 +0100

## yamllint 1.15.0

=== debian/changelog ===
yamllint (1.15.0-1) unstable; urgency=medium

  * New upstream version 1.15.0

 -- Philipp Huebner <debalance@debian.org>  Sat, 16 Feb 2019 10:59:13 +0100

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                python3-setuptools,
                python3-sphinx,
                python3-yaml
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Vcs-Browser: https://github.com/adrienverge/yamllint/tree/packaging
 Vcs-Git: https://github.com/adrienverge/yamllint.git -b packaging
 Homepage: https://github.com/adrienverge/yamllint

## yamllint 1.16.0

=== debian/changelog ===
yamllint (1.16.0-1) unstable; urgency=medium

  * New upstream version 1.16.0
  * Updated debhelper compat version: 12
  * Updated Standards-Version: 4.4.0 (no changes needed)

 -- Philipp Huebner <debalance@debian.org>  Wed, 24 Jul 2019 17:35:30 +0200

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Uploaders: Philipp Huebner <debalance@debian.org>
 Section: devel
 Priority: optional
-Build-Depends: debhelper (>=11~),
+Build-Depends: debhelper (>= 12),
                python3-all,
                python3-nose,
                python3-pathspec,
                python3-setuptools,
                python3-sphinx,
                python3-yaml
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Vcs-Browser: https://github.com/adrienverge/yamllint/tree/packaging
 Vcs-Git: https://github.com/adrienverge/yamllint.git -b packaging
 Homepage: https://github.com/adrienverge/yamllint

## yamllint 1.18.0

=== debian/changelog ===
yamllint (1.18.0-1) unstable; urgency=medium

  * New upstream version 1.18.0
  * Added dh-python to build-depends
  * Updated Standards-Version: 4.4.1 (no changes needed)

 -- Philipp Huebner <debalance@debian.org>  Sun, 20 Oct 2019 19:40:24 +0200

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,16 @@
 Uploaders: Philipp Huebner <debalance@debian.org>
 Section: devel
 Priority: optional
-Build-Depends: debhelper (>= 12),
+Build-Depends: debhelper,
+               debhelper-compat (= 12),
+               dh-python,
                python3-all,
                python3-nose,
                python3-pathspec,
                python3-setuptools,
                python3-sphinx,
                python3-yaml
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://github.com/adrienverge/yamllint/tree/packaging
 Vcs-Git: https://github.com/adrienverge/yamllint.git -b packaging
 Homepage: https://github.com/adrienverge/yamllint

## yamllint 1.20.0

=== debian/changelog ===
yamllint (1.20.0-1) unstable; urgency=medium

  * New upstream version 1.20.0
  * Updated Standards-Version: 4.5.0 (no changes needed)
  * Rules-Requires-Root: no

 -- Philipp Huebner <debalance@debian.org>  Sun, 16 Feb 2020 00:39:28 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,8 @@
                python3-setuptools,
                python3-sphinx,
                python3-yaml
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Vcs-Browser: https://github.com/adrienverge/yamllint/tree/packaging
 Vcs-Git: https://github.com/adrienverge/yamllint.git -b packaging
 Homepage: https://github.com/adrienverge/yamllint

=== debian/watch ===
# watch control file for uscan
version=3
https://github.com/adrienverge/yamllint/tags .*/archive/v(\d\S*)\.tar\.gz

## yamllint 1.24.2

=== debian/changelog ===
yamllint (1.24.2-1) unstable; urgency=medium

  * New upstream version 1.24.2

 -- Philipp Huebner <debalance@debian.org>  Sun, 26 Jul 2020 22:49:56 +0200

yamllint (1.23.0-1) unstable; urgency=medium

  * New upstream version 1.23.0

 -- Philipp Huebner <debalance@debian.org>  Sun, 19 Apr 2020 10:19:31 +0200

yamllint (1.21.0-1) unstable; urgency=medium

  * New upstream version 1.21.0

 -- Philipp Huebner <debalance@debian.org>  Sat, 11 Apr 2020 17:15:13 +0200

yamllint (1.20.0-2) unstable; urgency=medium

  * Removed 'Installing yamllint' section in the manpage (Closes: #947440)
  * Moved maintainership into the Python Applications Packaging Team
    (Closes: 947416)

 -- Philipp Huebner <debalance@debian.org>  Fri, 28 Feb 2020 14:02:37 +0100

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Source: yamllint
-Maintainer: Adrien Vergé <adrienverge@gmail.com>
-Uploaders: Philipp Huebner <debalance@debian.org>
+Maintainer: Python Applications Packaging Team <python-apps-team@lists.alioth.debian.org>
+Uploaders: Adrien Vergé <adrienverge@gmail.com>, Philipp Huebner <debalance@debian.org>
 Section: devel
 Priority: optional
 Build-Depends: debhelper,
@@ -14,8 +14,8 @@
                python3-yaml
 Standards-Version: 4.5.0
 Rules-Requires-Root: no
-Vcs-Browser: https://github.com/adrienverge/yamllint/tree/packaging
-Vcs-Git: https://github.com/adrienverge/yamllint.git -b packaging
+Vcs-Browser: https://salsa.debian.org/python-team/applications/yamllint
+Vcs-Git: https://salsa.debian.org/python-team/applications/yamllint.git
 Homepage: https://github.com/adrienverge/yamllint
 
 Package: yamllint

## yamllint 1.26.0

=== debian/changelog ===
yamllint (1.26.0-2) unstable; urgency=medium

  * Added autopkgtest

 -- Philipp Huebner <debalance@debian.org>  Sat, 06 Feb 2021 16:01:37 +0100

yamllint (1.26.0-1) unstable; urgency=medium

  * New upstream version 1.26.0

 -- Philipp Huebner <debalance@debian.org>  Thu, 04 Feb 2021 19:50:51 +0100

yamllint (1.25.0-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Philipp Huebner ]
  * New upstream version 1.25.0
  * Updated Standards-Version: 4.5.1 (no changes needed)
  * Updated debhelper compat version: 13
  * Updated debian/watch version: 4

 -- Philipp Huebner <debalance@debian.org>  Fri, 25 Dec 2020 15:31:45 +0100

=== debian/control ===
Source: yamllint
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Adrien Vergé <adrienverge@gmail.com>, Philipp Huebner <debalance@debian.org>
Section: devel
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-nose,
               python3-pathspec,
               python3-setuptools,
               python3-sphinx,
               python3-yaml
Standards-Version: 4.5.1
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/python-team/packages/yamllint
Vcs-Git: https://salsa.debian.org/python-team/packages/yamllint.git
Homepage: https://github.com/adrienverge/yamllint

Package: yamllint
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
         python3-pkg-resources
Description: Linter for YAML files
 yamllint does not only check for syntax validity, but for weirdnesses like key
 repetition and cosmetic problems such as lines length, trailing spaces,
 indentation, etc.

=== debian/watch ===
# watch control file for uscan
version=4
https://github.com/adrienverge/yamllint/tags .*/archive/v(\d\S*)\.tar\.gz

## yamllint 1.26.3

=== debian/changelog ===
yamllint (1.26.3-1) unstable; urgency=medium

  * Fixed debian/watch
  * New upstream version 1.26.3
  * Updated Standards-Version: 4.6.0 (no changes needed)
  * Updated years in debian/copyright

 -- Philipp Huebner <debalance@debian.org>  Sun, 29 Aug 2021 15:44:05 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                python3-setuptools,
                python3-sphinx,
                python3-yaml
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/python-team/packages/yamllint
 Vcs-Git: https://salsa.debian.org/python-team/packages/yamllint.git

## yamllint 1.29.0

=== debian/changelog ===
yamllint (1.29.0-1) unstable; urgency=medium

  * New upstream version 1.29.0
  * debian/copyright: update years

 -- Philipp Huebner <debalance@debian.org>  Thu, 26 Jan 2023 10:24:02 +0100

yamllint (1.28.0-1) unstable; urgency=medium

  * New upstream version 1.28.0
  * Updated years in debian/copyright
  * Updated Standards-Version: 4.6.1 (no changes needed)
  * Updated lintian overrides

 -- Philipp Huebner <debalance@debian.org>  Wed, 02 Nov 2022 18:39:02 +0100

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                python3-setuptools,
                python3-sphinx,
                python3-yaml
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/python-team/packages/yamllint
 Vcs-Git: https://salsa.debian.org/python-team/packages/yamllint.git

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,5 @@
 #!/usr/bin/make -f
+export DH_VERBOSE=1
 
 %:
 	NOSE_EXCLUDE=test_run_colored_output \

=== debian/tests/control ===
Tests: yamllint

## yamllint 1.32.0

=== debian/changelog ===
yamllint (1.32.0-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.32.0
  * Bump Standards-Version to 4.6.2
  * d/p/docs.diff: Refresh patch
  * d/control: Add pyproject to build-dependencies

 -- Samuel Henrique <samueloph@debian.org>  Fri, 16 Jun 2023 19:53:54 +0100

## yamllint 1.33.0

=== debian/changelog ===
yamllint (1.33.0-1) unstable; urgency=medium

  * New upstream version 1.33.0
  * Add debian/lintian-overrides

 -- Philipp Huebner <debalance@debian.org>  Sat, 30 Dec 2023 22:49:58 +0100

=== debian/control ===
--- 
+++ 
@@ -9,9 +9,10 @@
                python3-nose,
                python3-pathspec,
                python3-setuptools,
+               pybuild-plugin-pyproject,
                python3-sphinx,
                python3-yaml
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/python-team/packages/yamllint
 Vcs-Git: https://salsa.debian.org/python-team/packages/yamllint.git

## yamllint 1.35.1

=== docs/Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #
 
 # You can set these variables from the command line.
-SPHINXOPTS    =
+SPHINXOPTS    = -W
 SPHINXBUILD   = sphinx-build
 PAPER         =
 BUILDDIR      = _build

=== debian/changelog ===
yamllint (1.35.1-2) unstable; urgency=medium

  * Team Upload
  * Remove dependency on python3-pkg-resources (Closes: #1083996)

 -- Alexandre Detiste <tchet@debian.org>  Mon, 14 Oct 2024 17:57:44 +0200

yamllint (1.35.1-1) unstable; urgency=medium

  * Team Upload
  * New upstream version 1.35.1 (LP: #1641016)
  * Remove python3-nose dep (Closes: #1018670)
  * Add dependency on python3-sphinx-rtd-theme
  * Switch to new dh-sequence-python3
  * Refresh lintian overrides

 -- Alexandre Detiste <tchet@debian.org>  Sat, 11 May 2024 15:08:53 +0200

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
 Section: devel
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                python3-all,
-               python3-nose,
                python3-pathspec,
                python3-setuptools,
                pybuild-plugin-pyproject,
                python3-sphinx,
+               python3-sphinx-rtd-theme,
                python3-yaml
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
@@ -23,7 +23,6 @@
 Depends: ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends},
-         python3-pkg-resources
 Description: Linter for YAML files
  yamllint does not only check for syntax validity, but for weirdnesses like key
  repetition and cosmetic problems such as lines length, trailing spaces,

=== debian/rules ===
--- 
+++ 
@@ -2,8 +2,7 @@
 export DH_VERBOSE=1
 
 %:
-	NOSE_EXCLUDE=test_run_colored_output \
-	  dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 override_dh_auto_build:
 	dh_auto_build

## yamllint 1.37.0

=== debian/changelog ===
yamllint (1.37.0-1) unstable; urgency=medium

  * New upstream version 1.37.0
  * Updated Standards-Version: 4.7.2 (no changes needed)
  * Updated years in debian/copyright

 -- Philipp Huebner <debalance@debian.org>  Sun, 30 Mar 2025 16:06:22 +0200

## yamllint 1.37.1

=== docs/requirements.txt ===
sphinx-rtd-theme >=2.0.0

=== debian/changelog ===
yamllint (1.37.1-1) unstable; urgency=medium

  * Team Upload
  * New upstream version 1.37.1

 -- Hans-Christoph Steiner <hans@eds.org>  Mon, 16 Jun 2025 19:35:24 +0200

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                python3-sphinx,
                python3-sphinx-rtd-theme,
                python3-yaml
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/python-team/packages/yamllint
 Vcs-Git: https://salsa.debian.org/python-team/packages/yamllint.git

=== debian/watch ===
# watch control file for uscan
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/yamllint-$1\.tar\.gz/ \
  https://github.com/adrienverge/yamllint/tags .*/v?(\d\S+)\.tar\.gz
